import { Node as ProsemirrorNode } from "prosemirror-model";
import { EditorView, NodeView } from "prosemirror-view";
type getPosParam = boolean | (() => number);
export declare class ImageView implements NodeView {
    dom: Node | null;
    img: HTMLImageElement;
    popover: HTMLElement;
    form: HTMLFormElement;
    id: string;
    selectionActive: boolean;
    constructor(node: ProsemirrorNode, view: EditorView, getPos: getPosParam);
    /**
     * We want to trigger Stacks' showing and hiding of popovers whenever an image is considered
     * "selected" by prosemirror. This can happen by mouse-clicking or arrowing through the editor
     */
    selectNode(): void;
    deselectNode(): void;
    stopEvent(event: Event): boolean;
    ignoreMutation(): boolean;
    destroy(): void;
    private createImage;
    private createForm;
    private createPopover;
    private handleChangedImageAttributes;
    private preventClose;
}
export {};
