import { Node as ProsemirrorNode } from "prosemirror-model";
import { Plugin } from "prosemirror-state";
import { RichTextOptions } from "../../rich-text/editor";
/**
 * Gets the language string from a code_block node, returning the auto-detected language if one wasn't specified
 * @param block The block to get the language string from
 */
export declare function getBlockLanguage(block: ProsemirrorNode): {
    Language: string;
    IsAutoDetected: boolean;
};
/**
 * Plugin that highlights all code within all code_blocks in the parent
 */
export declare function CodeBlockHighlightPlugin(options: RichTextOptions["highlighting"]): Plugin;
