import { Schema } from "prosemirror-model";
import { CoreMenuBlockNames } from "./helpers";
import { CommonViewOptions, EditorType } from "../view";
import { MenuBlock } from "./helpers";
/** Enforce that Core MenuBlocks have to use a published name */
interface CoreMenuBlock extends Omit<MenuBlock, "name"> {
    name: CoreMenuBlockNames;
}
/**
 * Creates all menu entries for both the rich-text and commonmark editors
 * @param schema The finalized schema for the current editor
 * @param options The options for the editor
 * @param editorType The current editor type
 * @internal
 */
export declare const createMenuEntries: (schema: Schema, options: CommonViewOptions, editorType: EditorType) => CoreMenuBlock[];
export {};
