import { PluginKey, Plugin } from "prosemirror-state";
export const BASE_VIEW_KEY = new PluginKey();
/**
 * A pointer to the full `BaseView` that initialized this state, such that it can be referenced in downstream plugins
 **/
export const baseViewStatePlugin = (baseView) => {
    return new Plugin({
        key: BASE_VIEW_KEY,
        state: {
            init() {
                return {
                    baseView,
                };
            },
            apply(_, value) {
                //View switching does not maintain state, so we always want the initialized value
                return value;
            },
        },
    });
};
