import { Plugin } from "prosemirror-state";
import { Slice, Node } from "prosemirror-model";
/**
 * Parses a code string from pasted text, based on multiple heuristics
 * @param clipboardData The ClipboardEvent.clipboardData from the clipboard paste event
 * @param doc Pre-parsed slice, if already available; otherwise the slice will be parsed from the clipboard's html data
 * @internal
 */
export declare function parseCodeFromPasteData(clipboardData: DataTransfer, doc?: Slice | Node): string;
/** Plugin for the rich-text editor that auto-detects if code was pasted and handles it specifically */
export declare const richTextCodePasteHandler: Plugin<any>;
